Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url 'https://api.keyapi.ai/v1/instagram/user_id_to_username?user_id=18527' \ --header 'Authorization: Bearer <YOUR_API_KEY>'
{ "code": 0, "message": "success", "data": { "strong_id__": "18527", "pk": "18527", "highlights_tray_type": "DEFAULT", "id": "18527", "profile_pic_url": "https://scontent-ord5-2.cdninstagram.com/v/t51.2885-19/460170653_852233457013406_8133149038171915885_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=scontent-ord5-2.cdninstagram.com&_nc_cat=102&_nc_oc=Q6cZ2QGeOeZ0egfhF9f1dMHH3FKxU2K9qMgkcflUK5CTbCN2ig9KaNvRQllD6Mb-H0nNtIc&_nc_ohc=SMQ29bnLUloQ7kNvwF3wV4E&_nc_gid=37-yAcP-0rjBVfkBSkGTbQ&edm=AEF8tYYBAAAA&ccb=7-5&oh=00_Afzvd5uAMDRo3QJL9NANzZNaWrtVdc_hUk27DW9YPNecpQ&oe=69ADBA3F&_nc_sid=1e20d2", "username": "javan", "show_ig_app_switcher_badge": false }, "requestId": "ea456b11-c64d-4c29-bd4f-fad4e67a6c8c" }
通过Instagram用户ID获取用户信息 可用于将用户ID转换为用户名及获取完整用户资料
🤖 让 AI 帮你写调用代码
点击按钮复制一段结构化提示词,可直接交给 ChatGPT、Claude 或其他 AI 助手生成接口调用代码。
接口鉴权凭证。请在请求 Header 中传入 Authorization: Bearer <YOUR_API_KEY>。 可在 Dashboard 获取你的 API Key。
Authorization: Bearer <YOUR_API_KEY>
用户ID
"18527"
请求成功
The response is of type object.
object